#!/bin/bash
#
#  mysql-import-timezone-data.sh
#  2023-11-15 stvo
#  BNK/SE#105
#  $Id: mysql-import-timezone-data.sh,v 1.2 2023/11/15 14:35:43 testx Exp testx $
#
set -CEeuo pipefail
#set -x
PATH=/usr/local/pd-admin2/bin:$PATH
type mysql >/dev/null
type mysql_tzinfo_to_sql >/dev/null

function import_timezone_data ()
{
   local force=$1
   shift

   local LANG=C
   local MYSQL_PWD=$(cat /opt/pdadmin/etc/mysql_rootpw.conf)
   export MYSQL_PWD
   local installed=$(mysql mysql -NBe 'select count(1) from time_zone')
   if [[ $installed -gt 0 && $force != -f ]]
   then
      echo "mysql: time_zone: installed records: <$installed> (use -f to force re-install)"
      return 0
   fi
   echo "trying to install time zone data from /usr/share/zoneinfo"
   mysql_tzinfo_to_sql /usr/share/zoneinfo | mysql -u root mysql
   mysql mysql -e 'select count(1) as "records in time_zone" from time_zone'
}

force=${1-}
import_timezone_data "$force"
